<?php

/* DCMS Special
 * Дата последнего редактирования 18.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user', 'adm_check') as $inc) {
    require_once "../sys/inc/$inc.php";
}

access('adm_send_mess', null, 'index.php?' . SID);
adm_check();

$set['title'] = lang('Рассылка рублей');

require_once H . 'sys/inc/thead.php';

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/panel/'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Рассылка рублей');
echo "</small></div><br />";

$action = (isset($_GET['action'])) ? htmlspecialchars($_GET['action']) : null;

switch ($action) {

    default:

        if ($user['level'] == 10) {
            echo "<div class = 'list-group-item-null list-group-item-grey'>Рассылка рублей всем пользователям</div>";
            echo "<form class = 'list-group-item-null' name = 'name' method = 'POST' action = '?action=change'>";

            $doc->Input('num', 'Колличество рублей', 5);

            echo "<br />";

            echo "<button class = 'btn btn-success btn-sm'>Отправить</button>";
            echo "</form>";

            break;
        }

    case 'change':

        if ($user['level'] == 10) {
            $num = (int) $_POST['num'];
            $q = mysql_query("SELECT `id` FROM `user` WHERE `id` != $user[id]");
            $msg = "Вам зачислено [green][b] $num [/b][/green] рублей";
            while ($us = mysql_fetch_array($q)) {
                mysql_query("INSERT INTO `events` (`id_user`, `id_kont`, `id_img`, `msg`, `time`) VALUES ('0', '$us[id]', '9', '$msg', '$time')");
            }
            mysql_query("UPDATE `user` SET `money` = `money` + '$num'");

            $_SESSION['message'] = lang('Рубли успешно отправлены');

            header("Location: ?");
            exit();
        }
        break;
}

require_once H . 'sys/inc/tfoot.php';

